* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --cor-primaria: #4b0082;
  --cor-secundaria: #6a0dc3;
  --cor-terciaria: #8a2be2;
  --neutro: #2e2e2e;
  --preto: #0c0c0c;
  --branco: #fafafa;
  --fonte-titulo: "Cinzel", serif;
  --fonte-texto: "Montserrat", sans-serif;
  --degrade-fantasia: linear-gradient(180deg, #1e1e78 0%, #4b0082 100%);
}

body {
  background: var(--degrade-fantasia);
  background-repeat: no-repeat;
  height: 100vh;
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

main {
  margin-top: 5%;
  color: var(--branco);
  background-color: var(--neutro);

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;

  width: 75%;

  border-radius: 16px;
  margin-bottom: 5%;
}

h2 {
  font-family: var(--fonte-titulo);
  margin-top: 5%;
  margin-bottom: 5%;
}

.container-principal {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 75%;
}
.container-texto {
  display: flex;
  justify-content: space-between;
  width: 100%;
}
.container-texto label {
  font-family: var(--fonte-texto);
}

.container-input {
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 1rem;
  width: 100%;
}
.container-input input,
select {
  border-radius: 8px;
  border: none;
  height: 1.5rem;
  font-weight: bold;
}

div input {
  text-align: center;
  width: 50%;
}

div select {
  width: 25%;
}
.valor-saida {
  margin-top: 2.5%;
  margin-bottom: 2.5%;
  font-family: var(--fonte-texto);
  font-weight: bold;
}

.data-ultima-att{
    font-family: var(--fonte-texto);
    color: hsla(0, 0%, 75%, 0.25);
    margin-bottom: 2.5%;
    font-size: 0.75rem;
    text-align: center;
}
footer {
  margin-top: 2.5%;

  display: flex;
  align-items: center;

  color: var(--branco);

  gap: 8px;

  font-weight: bold;
  margin-bottom: 2.5%;
}

.imagem-github {
  color: #ffffff;
}
footer a {
  text-decoration: none;
  color: var(--branco);
}

@media (max-width: 480px) {
  h2 {
    font-size: 1.25rem;
  }
  .valor-saida {
    font-size: 1rem;
  }
  .imagem-github {
    width: 2.5rem;
    height: 2.5rem;
  }
  footer a {
    font-size: 1rem;
  }
}

@media (min-width: 481px) and (max-width: 767px) {
  h2 {
    font-size: 1.5rem;
  }
  .valor-saida {
    font-size: 1.25rem;
  }
  .imagem-github {
    width: 2.75rem;
    height: 2.75rem;
  }
  footer a {
    font-size: 1.25rem;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  h2 {
    font-size: 1.5rem;
  }
  .valor-saida {
    font-size: 1.5rem;
  }
  .imagem-github {
    width: 3rem;
    height: 3rem;
  }
  footer a {
    font-size: 1.5rem;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  h2 {
    font-size: 1.75rem;
  }
  .valor-saida {
    font-size: 1.75rem;
  }
  .imagem-github {
    width: 3.25rem;
    height: 3.25rem;
  }
  footer a {
    font-size: 1.75rem;
  }
}

@media (min-width: 1200px) and (max-width: 1919px) {
  h2 {
    font-size: 2rem;
  }
  .valor-saida {
    font-size: 2rem;
  }
  .container-texto {
    font-size: 2rem;
  }
  .container-input input,
  .container-input select {
    font-size: 1rem;
    height: 2.25rem;
    font-weight: bold;
  }
  .imagem-github {
    width: 3.5rem;
    height: 3.5rem;
  }
  footer a {
    font-size: 2rem;
  }
}

@media (min-width: 1920px) {
  h2 {
    font-size: 2.25rem;
  }
  .valor-saida {
    font-size: 2.25rem;
  }
  .container-texto {
    font-size: 2.25rem;
  }
  .container-input input,
  .container-input select {
    font-size: 1.25rem;
    height: 2.5rem;
    font-weight: bold;
  }
  .imagem-github {
    width: 3.75rem;
    height: 3.75rem;
  }
  footer a {
    font-size: 2.25rem;
  }
}
